<?
require_once('include/global.php');
require_once('include/admin_lib.php');
require_once('sadmin_conf.inc.php');

// check
	if (!$_GET['da_no'])
		msg('올바른 URL로 접근하여 주십시오');


// set
	$CFG['TITLE'] = '<b>메일서버관리</b> >> <b>앨리어스 도메인 관리</b> >> <b>수정</b>';


// data
	// get
		$sql = "
			SELECT
				*
			FROM
				".$TB['DOMAIN_ALIAS']."
			WHERE
				da_no='". $_GET['da_no'] . "'
			";
		$row = db_get_row($sql);

		if (!$row)
			msg("존재하지 않는 앨리어스 도메인입니다.");

		// view
		$view = array();
		$view['da_name'] = $row['da_name'];
		$q = "SELECT d_name FROM ".$TB['DOMAIN']." WHERE d_no='".$row['d_no']."'";
		$view['d_name'] = db_get_one($q);
		$view['da_mail_from_select'] = select_list_value($row['da_mail_from_select'], array_values($G[ISUSE]), array_keys($G[ISUSE]), NULL, 0, 1);
		$view['da_memo'] = htmlspecialchars_fix($row['da_memo']);


// skin view
	$CFG['ACTION'] = 'sdomain_alias_mod_ok.php';
	nskinset('sadmin', 'sdomain_alias_form.html');
	include($NSKIN['view_layout']);


require_once('include/global_end.php');
?>